<?php
// error_reporting(0);
//we have to set timezone to California
date_default_timezone_set('America/Los_Angeles');

//requiring FB PHP SDK
require 'fb-sdk/src/facebook.php';

//initializing keys
$facebook = new Facebook(array(
	// 'appId'  => '1436353809935884',
	'appId'	 => $ce_appId,
	// 'secret' => '35de19f92f4a65643d7f99d0f8b5a6f8',
	'secret'	=> $ce_appSecret,
	'cookie' => true
));

$fql = "SELECT 
			name, pic,eid, start_time, end_time, location, description 
		FROM 
			event 
		WHERE 
			eid IN ( SELECT eid FROM event_member WHERE uid = {$ce_userId} ) 
		AND 
			start_time >= now()
		ORDER BY 
			start_time desc";


//$streamQuery = 'SELECT post_id, message, permalink, actor_id, created_time FROM stream WHERE source_id';
//$streamQuery .= '= 46462542761 AND message != "" LIMIT 1000 OFFSET 0';

$param  =   array(
	'method'    => 'fql.query',
	'query'     => $fql,
	'callback'  => ''
);

$fqlResult   =   $facebook->api($param);

echo "<pre>";
// print_r($fqlResult);

// fetch data from database ;
	global $wpdb;

	 $querystr = "
	    SELECT $wpdb->posts.* 
	    FROM $wpdb->posts where $wpdb->posts.post_type = 'event'
	    AND $wpdb->posts.post_date < NOW() and $wpdb->posts.post_status = 'publish'
	 ";

	 $fbevent = $wpdb->get_results($querystr, OBJECT);

	// make title array to search duplicate title
	$event_ids = array();
	if ($fbevent):
		foreach ($fbevent as $post):
			$post_id = $post->ID;
			$eventId = get_field('event_id',$post_id);
			//print $post->post_title;
		$event_ids[] = trim($eventId);
		endforeach;
	endif;

	

//looping through retrieved data
foreach( $fqlResult as $keys => $values ){
	
	$start_date = date( 'l, F d, Y', $values['start_time'] );

	$start_time = date( 'g:i a', $values['start_time'] );
	

	// save fb event to wp post type event
	$my_post = array(
		  'post_title'    => $values['name'],
		  'post_content'  => $values['description'],
		  'post_status'   => 'publish',
		  'post_author'   => 1,
		  'post_type'     => 'event',
		  
		);

	try{
		if (!in_array(trim($values['eid']), $event_ids)) {

			$the_post_id = wp_insert_post( $my_post );
		    
		    //wp_insert_post( $my_post );
		    __update_post_meta( $the_post_id, 'date', $start_date );
		   	__update_post_meta( $the_post_id, 'venue', $values['location'] );
		   	__update_post_meta( $the_post_id, 'image', $values['pic'] );
		   	__update_post_meta( $the_post_id, 'event_id', $values['eid'] );

		   	
		     
		   
		}
	}catch(Exception $e){
		echo $e;
		echo "<br/>";
	}



print "<br/>done";

}

?>
