<?php

// ontreat_settings_page() displays the page content for the Test settings submenu
function facebook_setting_page() {

    //must check that the user has the required capability 
    if (!current_user_can('manage_options'))
    {
      wp_die( __('You do not have sufficient permissions to access this page.') );
    }

    
    if( isset($_POST) && $_POST['hidden'] == 'Y' ) {
    // See if the user has posted us some information
    // If they did, this hidden field will be set to 'Y'
    $c_appId = $_POST['c_appId'];
    $c_appSecret = $_POST['c_appSecret'];
    $fromFeed = $_POST['fromFeed'];
    $c_feedUrl = $_POST['c_feedUrl'];
    $c_userId = $_POST['c_userId'];

    update_option('c_appId',$c_appId);
    update_option('c_appSecret', $c_appSecret );
    update_option('fromFeed', $fromFeed );
    update_option('c_feedUrl',$c_feedUrl);
    update_option('c_userId',$c_userId );

   
    
    // Put an settings updated message on the screen
?>
    <div class="updated">
        <p><strong><?php _e('settings updated.', 'emd-theme' ); ?></strong></p>
    </div>
<?php 
    
    } // end of if


    
    // Read in existing option value from database
    $c_appId = get_option('c_appId');
    $c_appSecret = get_option('c_appSecret');
    $fromFeed = get_option('fromFeed');
    $c_feedUrl = get_option('c_feedUrl');
    $c_userId = get_option('c_userId' );
    
    
    
    // include form
    include('stream-forms.php');

    
    if($fromFeed =='feed')
        include('direct.php');
    else
        include('fql.php');

} //close main function



//facebook event settins
function fb_setting_event(){


    //must check that the user has the required capability 
    if (!current_user_can('manage_options'))
    {
      wp_die( __('You do not have sufficient permissions to access this page.') );
    }

    
    if( isset($_POST) && $_POST['hidden'] == 'Y' ) {
    // See if the user has posted us some information
    // If they did, this hidden field will be set to 'Y'
    $ce_appId = $_POST['ce_appId'];
    $ce_appSecret = $_POST['ce_appSecret'];
    $ce_userId = $_POST['ce_userId'];
    

    update_option('ce_appId',$ce_appId);
    update_option('ce_appSecret', $ce_appSecret );
    update_option('ce_userId',$ce_userId)

   
    
    // Put an settings updated message on the screen
?>
    <div class="updated">
        <p><strong><?php _e('event settings updated.', 'emd-theme' ); ?></strong></p>
    </div>
<?php 
    
    } // end of if


    
    // Read in existing option value from database
    $ce_appId = get_option('ce_appId');
    $ce_appSecret = get_option('ce_appSecret');
    $ce_userId = get_option('ce_userId');
    
    
    
    // include push-form
    include('event-forms.php');

    
   
    include('fb-event-fql.php');


} //close main function

?>